loci.formats.codec

## Class JPEGTileDecoder

- java.lang.Object
- - loci.formats.codec.JPEGTileDecoder

- All Implemented Interfaces:
    java.lang.AutoCloseable

      public class JPEGTileDecoder
      extends java.lang.Object
      implements java.lang.AutoCloseable

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private ome.codecs.JPEGTileDecoder` | `decoder`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JPEGTileDecoder()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `int` | `getHeight()`
    `byte[]` | `getScanline(int y)`
    `int` | `getWidth()`
    `(package private) ome.codecs.JPEGTileDecoder` | `getWrapped()`
    `void` | `initialize(loci.common.RandomAccessInputStream in, int imageWidth)`
    `void` | `initialize(loci.common.RandomAccessInputStream in, int y, int h, int imageWidth)`
    `void` | `initialize(java.lang.String id, int imageWidth)`
    `int[]` | `preprocess(loci.common.RandomAccessInputStream in)` Pre-process the stream to make sure that the image width and height are non-zero.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### decoder

          private ome.codecs.JPEGTileDecoder decoder

  - ### Constructor Detail

    - #### JPEGTileDecoder

          public JPEGTileDecoder()

  - ### Method Detail

    - #### initialize

          public void initialize(java.lang.String id,
                                 int imageWidth)

    - #### initialize

          public void initialize(loci.common.RandomAccessInputStream in,
                                 int imageWidth)

    - #### initialize

          public void initialize(loci.common.RandomAccessInputStream in,
                                 int y,
                                 int h,
                                 int imageWidth)

    - #### preprocess

          public int[] preprocess(loci.common.RandomAccessInputStream in)

      Pre-process the stream to make sure that the image width and height are non-zero. Returns an array containing the image width and height.

    - #### getScanline

          public byte[] getScanline(int y)

    - #### getWidth

          public int getWidth()

    - #### getHeight

          public int getHeight()

    - #### close

          public void close()

      Specified by:
        `close` in interface `java.lang.AutoCloseable`

    - #### getWrapped

          ome.codecs.JPEGTileDecoder getWrapped()

Copyright © 2026 Open Microscopy Environment